#include<bits/stdc++.h>
 
using namespace std;
 
#define ll long long
#define pb push_back



int a[1000006],b[10];
bool mp[1000006];

int main(){
	int n;
	cin >> n;
	for(int i=0;i<n;i++)
		cin >> a[i];
	b[a[n-1]]++;
	for(int i=n-2;i>=0;i--)
	{
		b[a[i]]++;
		for(int k=a[i]+1;k<=9;k++)
			if(b[k]) mp[i]=1;
	}
	
	for(int i=0;i<n-1;i++)
	{
		if(mp[i])
		{
			for(int k=9;k>a[i];k--)
			{
				if(b[k]){
				for(int j=n-1;j>i;j--)
				{
					if(a[j]==k)
					{
						swap(a[j],a[i]);
						for(int r=0;r<n;r++)
						cout<<a[r]<<" ";
						return 0;
					}
				}
			    }
		    }
	    }
    }
    swap(a[n-2],a[n-1]);
    for(int i=0;i<n;i++)
    cout<<a[i]<<" ";
}